import { Rect } from "igniteui-react-core/ES2015/Rect";
import { Base, Type } from "igniteui-react-core/ES2015/type";
export declare class ViewportUtils extends Base {
    static c(a: number, b: Rect, c: Rect): number;
    static a(a: number, b: Rect, c: Rect): number;
    static f(a: number, b: Rect, c: Rect): number;
    static e(a: number, b: Rect, c: Rect): number;
    static d(a: number, b: Rect, c: Rect): number;
    static b(a: number, b: Rect, c: Rect): number;
    static g(a: number, b: Rect, c: Rect): number;
    static $t: Type;
}
